/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The SellReason model module.
 * @module model/SellReason
 * @version 2021.12-dev21
 */
class SellReason {
    /**
     * Constructs a new <code>SellReason</code>.
     * @alias module:model/SellReason
     * @param wins {Number} 
     * @param losses {Number} 
     * @param draws {Number} 
     */
    constructor(wins, losses, draws) { 
        
        SellReason.initialize(this, wins, losses, draws);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, wins, losses, draws) { 
        obj['wins'] = wins;
        obj['losses'] = losses;
        obj['draws'] = draws;
    }

    /**
     * Constructs a <code>SellReason</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/SellReason} obj Optional instance to populate.
     * @return {module:model/SellReason} The populated <code>SellReason</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new SellReason();

            if (data.hasOwnProperty('wins')) {
                obj['wins'] = ApiClient.convertToType(data['wins'], 'Number');
            }
            if (data.hasOwnProperty('losses')) {
                obj['losses'] = ApiClient.convertToType(data['losses'], 'Number');
            }
            if (data.hasOwnProperty('draws')) {
                obj['draws'] = ApiClient.convertToType(data['draws'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * @member {Number} wins
 */
SellReason.prototype['wins'] = undefined;

/**
 * @member {Number} losses
 */
SellReason.prototype['losses'] = undefined;

/**
 * @member {Number} draws
 */
SellReason.prototype['draws'] = undefined;






export default SellReason;

